Skip to main content
GET
Get the posting options of a TikTok account

Authorizations

x-api-key
string
header
required

Query Parameters

teamId
string
required

Response

200

privacyLevelOptions
enum<string>[]
required

Values the account accepts for privacy. Public accounts: PUBLIC_TO_EVERYONE, MUTUAL_FOLLOW_FRIENDS, SELF_ONLY. Private accounts: FOLLOWER_OF_CREATOR, MUTUAL_FOLLOW_FRIENDS, SELF_ONLY.

Available options:
SELF_ONLY,
PUBLIC_TO_EVERYONE,
MUTUAL_FOLLOW_FRIENDS,
FOLLOWER_OF_CREATOR
commentDisabled
boolean
required

If true, comments can't be enabled (the creator allows comments from no one), so send disableComments: true.

duetDisabled
boolean
required

If true, duets can't be enabled (duets set to "Only you", or a private account), so send disableDuet: true.

stitchDisabled
boolean
required

If true, stitches can't be enabled (stitches set to "Only you", or a private account), so send disableStitch: true.

maxVideoPostDurationSec
number | null

Longest video, in seconds, this account can publish. Longer videos fail at publish time.